Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class Block

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.BlockParent
                  org.apache.fop.area.Block

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BlockViewport

public class Block
extends BlockParent

This is the block area class. It holds child block areas such as other blocks or lines.

See Also:
  Serialized Form

Field Summary
`static int` | `ABSOLUTE` Relative to the block parent but not effecting the stacking Used for block-container, tables and lists.
`protected boolean` | `allowBPDUpdate`
`static int` | `FIXED` Relative to a viewport/page but not effecting the stacking Used for block-container.
`static int` | `RELATIVE` Placed relative to the flow position.
`static int` | `STACK` Normally stacked with other blocks.

Fields inherited from class org.apache.fop.area.BlockParent
`children, xOffset, yOffset`

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`Block()`

Method Summary
`void` | `addBlock(Block block)` Add the block to this block area.
`void` | `addBlock(Block block, boolean autoHeight)` Add the block to this block area.
`void` | `addLineArea(LineArea line)` Add the line area to this block area.
`int` | `getPositioning()` Get the positioning of this area.
`int` | `getStartIndent()`
`boolean` | `isStacked()` Indicates whether this block is stacked, rather than absolutely positioned.
`void` | `setPositioning(int pos)` Set the positioning of this area.

Methods inherited from class org.apache.fop.area.BlockParent
`addChildArea, getChildAreas, getXOffset, getYOffset, isEmpty, setXOffset, setYOffset`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STACK

    public static final int STACK

  Normally stacked with other blocks.

  See Also:
    Constant Field Values

### RELATIVE

    public static final int RELATIVE

  Placed relative to the flow position. This effects the flow placement of stacking normally.

  See Also:
    Constant Field Values

### ABSOLUTE

    public static final int ABSOLUTE

  Relative to the block parent but not effecting the stacking Used for block-container, tables and lists.

  See Also:
    Constant Field Values

### FIXED

    public static final int FIXED

  Relative to a viewport/page but not effecting the stacking Used for block-container.

  See Also:
    Constant Field Values

### allowBPDUpdate

    protected transient boolean allowBPDUpdate

Constructor Detail

### Block

    public Block()

Method Detail

### addBlock

    public void addBlock(Block block)

  Add the block to this block area.

  Overrides:
    `addBlock` in class `BlockParent`
  Parameters:
    `block` - the block area to add

### addBlock

    public void addBlock(Block block,
                         boolean autoHeight)

  Add the block to this block area.

  Parameters:
    `block` - the block area to add
    `autoHeight` - increase the height of the block.

### addLineArea

    public void addLineArea(LineArea line)

  Add the line area to this block area.

  Parameters:
    `line` - the line area to add

### setPositioning

    public void setPositioning(int pos)

  Set the positioning of this area.

  Parameters:
    `pos` - the positioning to use when rendering this area

### getPositioning

    public int getPositioning()

  Get the positioning of this area.

  Returns:
    the positioning to use when rendering this area

### isStacked

    public boolean isStacked()

  Indicates whether this block is stacked, rather than absolutely positioned.

  Returns:
    true if it is stacked

### getStartIndent

    public int getStartIndent()

  Returns:
    the start-indent trait

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.